<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>sagace.exceptions.infrastructure package &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="sagace.exceptions.interfaces package" href="sagace.exceptions.interfaces.html" />
    <link rel="prev" title="sagace.exceptions.domain package" href="sagace.exceptions.domain.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="sagace-exceptions-infrastructure-package">
<h1>sagace.exceptions.infrastructure package<a class="headerlink" href="#sagace-exceptions-infrastructure-package" title="Link to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading">¶</a></h2>
</section>
<section id="module-sagace.exceptions.infrastructure.authentication_error">
<span id="sagace-exceptions-infrastructure-authentication-error-module"></span><h2>sagace.exceptions.infrastructure.authentication_error module<a class="headerlink" href="#module-sagace.exceptions.infrastructure.authentication_error" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="module-authentication-errors">
<h3>Module: Authentication Errors<a class="headerlink" href="#module-authentication-errors" title="Link to this heading">¶</a></h3>
<p>Este módulo define a exceção <cite>AuthenticationFailedError</cite>, utilizada para indicar falhas no processo de autenticação.</p>
<p>Obs.:</p>
<ul class="simple">
<li><p>Segue os princípios da <strong>Clean Architecture</strong>, separando a lógica de erro do domínio da aplicação.</p></li>
<li><p>Aplica o princípio <strong>Liskov Substitution Principle (LSP)</strong>, pois <cite>AuthenticationFailedError</cite> estende <cite>InfrastructureError</cite>
sem modificar o comportamento esperado da classe base.</p></li>
</ul>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 16:07
Created:          27/02/2025 16:07
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
<dl class="py exception">
<dt class="sig sig-object py" id="sagace.exceptions.infrastructure.authentication_error.AuthenticationFailedError">
<em class="property"><span class="k"><span class="pre">exception</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.exceptions.infrastructure.authentication_error.</span></span><span class="sig-name descname"><span class="pre">AuthenticationFailedError</span></span><a class="reference internal" href="_modules/sagace/exceptions/infrastructure/authentication_error.html#AuthenticationFailedError"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.exceptions.infrastructure.authentication_error.AuthenticationFailedError" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#sagace.exceptions.infrastructure.infrastructure_error.InfrastructureError" title="sagace.exceptions.infrastructure.infrastructure_error.InfrastructureError"><code class="xref py py-class docutils literal notranslate"><span class="pre">InfrastructureError</span></code></a></p>
<p>Exceção que representa uma falha no processo de autenticação de um usuário.</p>
<p>Esta exceção deve ser lançada quando a autenticação falha devido a credenciais inválidas
ou outros problemas que impeçam a autenticação bem-sucedida.</p>
<dl>
<dt>Herda de:</dt><dd><p>InfrastructureError: Classe base para erros de infraestrutura.</p>
</dd>
<dt>Exemplo de uso:</dt><dd><div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="k">raise</span> <span class="n">AuthenticationFailedError</span><span class="p">()</span>
</pre></div>
</div>
</dd>
</dl>
</dd></dl>

</section>
<section id="module-sagace.exceptions.infrastructure.infrastructure_error">
<span id="sagace-exceptions-infrastructure-infrastructure-error-module"></span><h2>sagace.exceptions.infrastructure.infrastructure_error module<a class="headerlink" href="#module-sagace.exceptions.infrastructure.infrastructure_error" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="module-infrastructure-errors">
<h3>Module: Infrastructure Errors<a class="headerlink" href="#module-infrastructure-errors" title="Link to this heading">¶</a></h3>
<p>Este módulo define a exceção base <cite>InfrastructureError</cite>, utilizada para representar erros relacionados à infraestrutura.</p>
<p>Obs.:</p>
<ul class="simple">
<li><p>Segue os princípios da <strong>Clean Architecture</strong>, separando os erros de infraestrutura do domínio da aplicação.</p></li>
<li><p>Aplica o princípio <strong>Liskov Substitution Principle (LSP)</strong>, pois outras exceções específicas podem herdar de <cite>InfrastructureError</cite>
sem modificar seu comportamento esperado.</p></li>
</ul>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 16:05
Created:          27/02/2025 16:05
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
<dl class="py exception">
<dt class="sig sig-object py" id="sagace.exceptions.infrastructure.infrastructure_error.InfrastructureError">
<em class="property"><span class="k"><span class="pre">exception</span></span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">sagace.exceptions.infrastructure.infrastructure_error.</span></span><span class="sig-name descname"><span class="pre">InfrastructureError</span></span><a class="reference internal" href="_modules/sagace/exceptions/infrastructure/infrastructure_error.html#InfrastructureError"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#sagace.exceptions.infrastructure.infrastructure_error.InfrastructureError" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">Exception</span></code></p>
<p>Exceção base para representar erros de infraestrutura.</p>
<p>Esta classe deve ser utilizada como base para todas as exceções relacionadas à infraestrutura,
como falhas de conexão, indisponibilidade de serviços e erros de comunicação com APIs externas.</p>
<dl>
<dt>Herda de:</dt><dd><p>Exception: Classe base de todas as exceções nativas do Python.</p>
</dd>
<dt>Exemplo de uso:</dt><dd><div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="k">raise</span> <span class="n">InfrastructureError</span><span class="p">(</span><span class="s2">&quot;Falha ao conectar ao banco de dados&quot;</span><span class="p">)</span>
</pre></div>
</div>
</dd>
</dl>
</dd></dl>

</section>
<section id="module-sagace.exceptions.infrastructure">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-sagace.exceptions.infrastructure" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="description">
<h3>Description:<a class="headerlink" href="#description" title="Link to this heading">¶</a></h3>
<p>Obs.:</p>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 16:03
Created:          27/02/2025 16:03
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">sagace</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="sagace.html">sagace package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">sagace</a><ul>
  <li><a href="sagace.html">sagace package</a><ul>
  <li><a href="sagace.exceptions.html">sagace.exceptions package</a><ul>
      <li>Previous: <a href="sagace.exceptions.domain.html" title="previous chapter">sagace.exceptions.domain package</a></li>
      <li>Next: <a href="sagace.exceptions.interfaces.html" title="next chapter">sagace.exceptions.interfaces package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
      |
      <a href="_sources/sagace.exceptions.infrastructure.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>